<?php
$wp_customize->add_section(
   'mobile_menu_options' ,
    array(
        'title' => __( 'Mobile Menu Options', 'newsmass' ),
        'panel' => 'header_options_panel',
    )
);

$wp_customize->add_setting(
    'newsmass_options[enable_social_mobile_menu]',
    array(
        'default'           => $newsmass_default['enable_social_mobile_menu'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_social_mobile_menu]',
    array(
        'label'         => esc_html__( 'Social Menu to Display in Mobile', 'newsmass' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newsmass_options[select_mobile_social_menu_style]',
    array(
        'default'           => $newsmass_default['select_mobile_social_menu_style'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_mobile_social_menu_style]',
    array(
        'label'         => esc_html__( 'Social Menu Options', 'newsmass' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'select',
        'choices'       => newsmass_social_menu_style(),


    )
);

$wp_customize->add_setting(
    'newsmass_options[enable_mobile_social_nav_border_radius]',
    array(
        'default'           => $newsmass_default['enable_mobile_social_nav_border_radius'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_mobile_social_nav_border_radius]',
    array(
        'label'    => __( 'Enable Border Radius', 'newsmass' ),
        'section'  => 'mobile_menu_options',
        'type'     => 'checkbox',
    )
);


$wp_customize->add_setting(
    'newsmass_options[enable_copyright_in_menu]',
    array(
        'default'           => $newsmass_default['enable_copyright_in_menu'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_copyright_in_menu]',
    array(
        'label'         => esc_html__( 'Copyright in Mobile', 'newsmass' ),
        'section'     => 'mobile_menu_options',
        'type'        => 'checkbox',
    )
);


